fisherz {psych} | R Documentation

## Transformations of r including Fisher r to z and z to r and confidence intervals

### Description

Convert a correlation to a z or t, or d, or chi score or z to r using the Fisher transformation or find the confidence intervals for a specified correlation. r2d converts a correlation to an effect size (Cohen's d) and d2r converts a d into an r. g2r converts Hedge's g to a correlation. t2r converts a t test to r, r2t converts a correlation to a t-test value. chi2r converts a chi square to r, r2chi converts it back.

### Usage

    fisherz(rho)
    fisherz2r(z)
    r.con(rho,n,p=.95,twotailed=TRUE)
    r2t(rho,n)
    r2d(rho)
    d2r(d)
    t2r(t,df)
    g2r(g,df,n)
    chi2r(chi,n)
    r2chi(rho,n)

### Arguments

`rho` | a Pearson r
`z` | A Fisher z
`n` | Sample size for confidence intervals
`df` | degrees of freedom for t, or g
`p` | Confidence interval
`twotailed` | Treat p as twotailed p
`d` | an effect size (Cohen's d)
`g` | An effect size (Hedge's g)
`t` | A student's t value
`chi` | A chi square

### Value

z value corresponding to r (fisherz) \ r corresponding to z (fisherz2r) \ lower and upper p confidence intervals (r.con) \ t with n-2 df (r2t) r corresponding to effect size d or d corresponding to r.

### Author(s)

Maintainer: William Revelle revelle@northwestern.edu

### Examples

    cors <- seq(-.9,.9,.1)
    zs <- fisherz(cors)
    rs <- fisherz2r(zs)
    round(zs,2)
     n <- 30
     r <- seq(0,.9,.1)
     rc <- matrix(r.con(r,n),ncol=2)
     t <- r*sqrt(n-2)/sqrt(1-r^2)
     p <- (1-pt(t,n-2))/2
     r.rc <- data.frame(r=r,z=fisherz(r),lower=rc[,1],upper=rc[,2],t=t,p=p)
     round(r.rc,2)

[Package psych version 1.6.9 Index]